| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/shaderexpaccessor.h File Reference

Shader variable accessor evaluating a shader expression. More...

`#include "csextern.h"`
`#include "csgfx/shadervar.h"`
`#include "csutil/scf.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/weakref.h"`

Go to the source code of this file.

## Classes
class | csShaderExpressionAccessor
| Shader variable accessor that evaluates a shader expression when the SV value is queried. More...

## Detailed Description

Shader variable accessor evaluating a shader expression.

Definition in file shaderexpaccessor.h.